clan::DirectoryScanner Class Reference - ClanLib SDK
Description: clan::DirectoryScanner Class Reference

Public Member Functions | List of all members
clan::DirectoryScanner Class Reference
clanCore I/O Data

Directory scanning class. More...

`#include <directory_scanner.h>`

## Public Member Functions
| DirectoryScanner ()
| Constructs directory scanner for iterating over a directory.
| ~DirectoryScanner ()
| Destructor.
std::string | get_directory_path ()
| Gets the directory being scanned.
std::string | get_name ()
| Gets the name of the current file.
std::string | get_pathname ()
| Gets the pathname of the current file.
int | get_size ()
| Gets the size of the current file.
bool | is_directory ()
| Returns true if the current file is a directory.
bool | is_hidden ()
| Returns true if the file is hidden.
bool | is_readable ()
| Returns true if the file is readable by the current user.
bool | is_writable ()
| Returns true if the file is writable by the current user.
bool | next ()
| Find next file in directory scan.
bool | scan (const std::string &pathname)
| Selects the directory to scan through.
bool | scan (const std::string &pathname, const std::string &pattern)
| Selects the directory to scan through.

## Detailed Description

Directory scanning class.

DirectoryScanner is used to parse through directory trees and return information about files.

Example that prints all files and directories found in the root directory:

       DirectoryScanner scanner;
       if (scanner.scan("/", "*"))
       {
                    while (scanner.next())
                    {
                                    cl_console_write_line(scanner.get_name());
                    }
       }

## Constructor & Destructor Documentation

## ◆ DirectoryScanner()

clan::DirectoryScanner::DirectoryScanner | ( |  | ) |

Constructs directory scanner for iterating over a directory.

## ◆ ~DirectoryScanner()

clan::DirectoryScanner::~DirectoryScanner | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ get_directory_path()

std::string clan::DirectoryScanner::get_directory_path | ( |  | ) |

Gets the directory being scanned.

Returns
  Directory being scanned. (including the trailing slash)

## ◆ get_name()

std::string clan::DirectoryScanner::get_name | ( |  | ) |

Gets the name of the current file.

Returns
  The name of the current found file.

## ◆ get_pathname()

std::string clan::DirectoryScanner::get_pathname | ( |  | ) |

Gets the pathname of the current file.

Returns
  The name of the current found file, including the directory path.

## ◆ get_size()

int clan::DirectoryScanner::get_size | ( |  | ) |

Gets the size of the current file.

Returns
  The size of the current found file.

## ◆ is_directory()

bool clan::DirectoryScanner::is_directory | ( |  | ) |

Returns true if the current file is a directory.

Returns
  True if filename is a directory.

## ◆ is_hidden()

bool clan::DirectoryScanner::is_hidden | ( |  | ) |

Returns true if the file is hidden.

Returns
  True if filename is hidden.

## ◆ is_readable()

bool clan::DirectoryScanner::is_readable | ( |  | ) |

Returns true if the file is readable by the current user.

Returns
  True if the file is readable.

## ◆ is_writable()

bool clan::DirectoryScanner::is_writable | ( |  | ) |

Returns true if the file is writable by the current user.

Returns
  True if the file is writable.

## ◆ next()

bool clan::DirectoryScanner::next | ( |  | ) |

Find next file in directory scan.

Returns
  false if no more files was found.

## ◆ scan() [1/2]

bool clan::DirectoryScanner::scan | ( | const std::string & | pathname | ) |

Selects the directory to scan through.

Selects the directory to scan through

Parameters

  pathname | Path to the directory to scan (without trailing slash)

Returns
  true if the directory can be accessed.

## ◆ scan() [2/2]

bool clan::DirectoryScanner::scan | ( | const std::string & | pathname,
|  | const std::string & | pattern )

Selects the directory to scan through.

Selects the directory to scan through and use a matching pattern on the files.

WIN32: The pattern is normal DOS pattern matching ("*.*", ?) Unix: The pattern is normal pattern matching (*, ?)

Parameters

  pathname | Path to the directory to scan (without trailing slash)
  pattern | Pattern to match files against.

Returns
  true if the directory can be accessed.

The documentation for this class was generated from the following file:

- directory_scanner.h